Package skyview.survey

# Class XMLSurveyDescription

java.lang.Object
skyview.survey.XMLSurveyDescription

public class XMLSurveyDescription extends Object
This class writes an HTML description of a survey based upon its XML survey file.

## Constructor Summary

Constructors
Constructor
Description
`XMLSurveyDescription()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`allSurveys()`
`static void`
`error(String msg)`
`static String`
`getField(String file, String infield)`
`static void`
`main(String[] args)`
`static void`
`printDescription(String filename)`
`static void`
`printSurvey(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLSurveyDescription

public XMLSurveyDescription()

## Method Details

### main

public static void main(String[] args)

### printSurvey

public static void printSurvey(String name) throws Exception

Throws:
  `Exception`

### error

public static void error(String msg)

### printDescription

public static void printDescription(String filename) throws Exception

Throws:
  `Exception`

### allSurveys

public static void allSurveys() throws Exception

Throws:
  `Exception`

### getField

public static String getField(String file, String infield)